Subject: Use commission logic to reset usage in cyclades

Description

Cyclades now resets usage by resetting QH holdings, an operation which is no more supported by the quotaholder.

Instead we need to first inspect the current state of the quotaholder (getting the quotas of the users in question),

compute its difference with the Cyclades state and issue a commission with this difference. The force option of issue

commission, which allows a commission even if the limit is passed, is useful here.

Associated revisions

Revision ccfbf77b - 04/30/2013 05:05 pm - Christos Stavrakakis 

Varous fixes to cyclades-usage-verify command

Extend 'cyclades-usage-verify' management command to cover the usage of

'cyclades-reset-usage' and remove the second one. The new command

reconciles resources(usage) by detecting inconsistencies between the

usage of resources in Astakos and Cyclades DB and fixing them by issuing

a commission with the difference of the usage in DB and Astakos. If

there is a pending commission for a resource, reconciliation for this

resource is skipped. Refs #3627

Also, make this command do not consider only users that exist in

Cyclades DB, but also users that exist in Quotaholder. For such users,

it is assumed that they have zero usage for all Cyclades resources.

Refs #3606 #3491

History

#1 - 05/17/2013 10:42 am - Christos Stavrakakis

- Status changed from New to Feedback

- % Done changed from 0 to 100

#2 - 02/26/2014 05:31 pm - Christos Stavrakakis

- Status changed from Feedback to Closed
